Summary: A GNU stream text editor.
Name: sed
Version: 3.02
Release: 6tr
Copyright: GPL
Group: Environment/Text
Source0: ftp://ftp.gnu.org/gnu/sed/sed-%{version}.tar.gz
Prereq: /sbin/install-info
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root

%description
The sed (Stream EDitor) editor is a stream or batch (non-interactive)
editor.  Sed takes text as input, performs an operation or set of
operations on the text and outputs the modified text.  The operations
that sed performs (substitutions, deletions, insertions, etc.) can be
specified in a script file or from the command line.

%prep
%setup -q

%build
%configure --exec-prefix=%{_prefix} --mandir='%{_mandir}' \
	--infodir='%{_prefix}/share/info' --bindir=/bin
make LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/%{_prefix} exec_prefix=$RPM_BUILD_ROOT/%{_prefix} DESTDIR=$RPM_BUILD_ROOT install

( cd $RPM_BUILD_ROOT
  mkdir ./bin
  mv ./usr/bin/sed ./bin/sed
  rmdir ./usr/bin
  gzip -9nf ./usr/share/info/sed.info*
  rm -f ./usr/share/info/dir
)

%post
/sbin/install-info /usr/share/info/sed.info.gz /usr/share/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/share/info/sed.info.gz /usr/share/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANNOUNCE BUGS NEWS README TODO
/bin/sed 
/usr/share/info/sed.info*
/usr/share/man/man1/sed.1*

%changelog
* Tue Jan 25 2000 Tore Olsen <toreo@trustix.com>
- moved /usr/{man,info} to /usr/share/{man,info} for FHS compliance

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Tue Aug 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.02

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.01

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- removed references to the -g option from the man page that we add

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups
- added BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
